Bug 818547 - Review Request: python-versiontools - Smart replacement for plain tuple used in __version__
Review Request: python-versiontools - Smart replacement for plain tuple used ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 06:41 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-09-24 08:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 04:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Runge 2012-05-03 07:52:54 EDT
Takin' this one
Comment 2 Matthias Runge 2012-05-03 15:55:07 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-versiontools-1.9.1-1.fc18.src.rpm

python-versiontools.src: W: spelling-error Summary(en_US) tuple -> tulle, duple, letup
python-versiontools.src: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-versiontools-1.9.1-1.fc18.noarch.rpm

python-versiontools.noarch: W: spelling-error Summary(en_US) tuple -> tulle, duple, letup
python-versiontools.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/818547/versiontools-1.9.1.tar.gz :
  MD5SUM this package     : 602b7db8eea30dd29a1d451997adf251
  MD5SUM upstream package : 602b7db8eea30dd29a1d451997adf251

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-versiontools-1.9.1-1.fc18.src.rpm

python-versiontools.src: W: spelling-error Summary(en_US) tuple -> tulle, duple, letup
python-versiontools.src: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-versiontools-1.9.1-1.fc18.noarch.rpm

python-versiontools.noarch: W: spelling-error Summary(en_US) tuple -> tulle, duple, letup
python-versiontools.noarch: W: spelling-error %description -l en_US tuple -> tulle, duple, letup
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Two minors:
- there's no License-file included. You should ask upstream to include it
- you should be more explicit in files-section:
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

Package APPROVED
Comment 3 Bohuslav "Slavek" Kabrda 2012-05-04 01:30:48 EDT
Matthias, thanks for the review! I've already queried the upstream and as usually, I will be more explicit in the files section :)

New Package SCM Request
=======================
Package Name: python-versiontools
Short Description: Smart replacement for plain tuple used in __version__
Owners: bkabrda
Branches: f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-05-04 08:29:24 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-05-04 08:49:40 EDT
python-versiontools-1.9.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-versiontools-1.9.1-2.fc17
Comment 6 Fedora Update System 2012-05-04 18:15:52 EDT
python-versiontools-1.9.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-05-26 04:05:10 EDT
python-versiontools-1.9.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Bohuslav "Slavek" Kabrda 2012-09-24 01:53:18 EDT
Package Change Request
======================
Package Name: python-versiontools
New Branches: el6
Owners: bkabrda mrunge
InitialCC:
Comment 9 Gwyn Ciesla 2012-09-24 08:09:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.